org.apache.http.conn.params

## Interface ConnManagerPNames

- All Known Subinterfaces:
    AllClientPNames
  All Known Implementing Classes:
    ConnManagerParams

  Deprecated.
  (4.1) use configuration methods of the specific connection manager implementation.

      @Deprecated
      public interface ConnManagerPNames

  Parameter names for connection managers in HttpConn.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MAX_CONNECTIONS_PER_ROUTE` Deprecated. Defines the maximum number of connections per route.
    `static String` | `MAX_TOTAL_CONNECTIONS` Deprecated. Defines the maximum number of connections in total.
    `static String` | `TIMEOUT` Deprecated. Defines the timeout in milliseconds used when retrieving an instance of `ManagedClientConnection` from the `ClientConnectionManager`.

- - ### Field Detail

    - #### TIMEOUT

          static final String TIMEOUT

      Deprecated.
      Defines the timeout in milliseconds used when retrieving an instance of `ManagedClientConnection` from the `ClientConnectionManager`.

      This parameter expects a value of type `Long`.

      See Also:
        Constant Field Values

    - #### MAX_CONNECTIONS_PER_ROUTE

          static final String MAX_CONNECTIONS_PER_ROUTE

      Deprecated.
      Defines the maximum number of connections per route. This limit is interpreted by client connection managers and applies to individual manager instances.

      This parameter expects a value of type `ConnPerRoute`.

      See Also:
        Constant Field Values

    - #### MAX_TOTAL_CONNECTIONS

          static final String MAX_TOTAL_CONNECTIONS

      Deprecated.
      Defines the maximum number of connections in total. This limit is interpreted by client connection managers and applies to individual manager instances.

      This parameter expects a value of type `Integer`.

      See Also:
        Constant Field Values

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.